<template>
  <protected-view>
    <iframe
      :src="gameProviderUrl"
      frameborder="0"
      class="embed-responsive-item"
      style="height: 95vh; width: 100%"
      scrolling="yes"
    ></iframe>
  </protected-view>
</template>

<script lang="ts">
import { computed, defineComponent, ref } from "vue";
import { useRoute } from "vue-router";
import apis from "@/utils/apis";
import EnumEntranceLocation from "@/models/enums/enumEntranceLocation";
import themePropertiesHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import { store } from "@/store";

export default defineComponent({
  setup() {
    const gameProviderUrl = ref("");
    const isGameProviderLoading = ref(true);
    const route = useRoute();
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const GameId = computed(
      (): IThemePropertiesFromApi =>
        themePropertiesHelper.getSingleThemeProperty(
          themeProperties.value,
          "game_id"
        )
    );

    const gameProviderLogin = async () => {
      isGameProviderLoading.value = true;
      const entrance = String(
        route.query.entrance ?? EnumEntranceLocation.Other
      );
      const tab = String(route.query.tab).toLowerCase();
      const response = await apis.getGameProviderLogin(
        Number(GameId.value.Text),
        entrance,
        tab
      );
      if (response.ErrorCode === 0) {
        gameProviderUrl.value = response.Data.Url;
        isGameProviderLoading.value = false;
      }
    };
    gameProviderLogin();
    return {
      gameProviderUrl,
    };
  },
});
</script>

<style scoped></style>
